For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Delete One Entry from One Access List

Base URL: https://cloud.mongodb.com/api/public/v1.0

DELETE /users/{USER-ID}/accessList/{ACCESS-LIST-ENTRY}

Note

You cannot remove your current IP address from the access list.

Parameter
Type
Description

USER-ID

string

(Required.) Unique identifier of the current user. To retrieve the ID of the current user, see Get All Users in One Project.

ACCESS-LIST-ENTRY

string

The IP or CIDR address. If the entry includes a subnet mask, such as 192.0.2.0/24, use the URL-encoded value %2F for the forward slash /.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

This endpoint does not have response elements.

curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \
--include \
--request DELETE "https://cloud.mongodb.com/api/public/v1.0/users/{USER-ID}/accessList/192.0.2.0%2F24"

This endpoint doesn't return a response body.